[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# CompareTextWithExpandedNode

Function to compare the given text with the nodetext of the specified tree node.

## Declaration

Source position: comctrls.pp line 4172

`function CompareTextWithExpandedNode(`
`Key: Pointer;`
`Data: Pointer`
`):Integer;`

## Description

This function does an ANSICompare on the NodeText of two nodes. The parameters Data1 and Data2 are pointers to the nodes to be compared. The result is the same as the result from ANSICompareText.

-1
  The given text is lower then the nodetext from the given node.
0
  The given text is equal to the nodetext from the given node.
1
  The given text is higher then the nodetext from the given node.